Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

Already on GitHub? Sign in to your account

Support for rails 4 and ruby 2? #5

Open
DanilloCorvalan opened this Issue Aug 13, 2013 · 2 comments

Comments

Projects
None yet
3 participants

Actually it's giving a javascript exception (define is not defined). requirejs is not being loaded.
It seems that the .rb helper file and the run.html.erb is not being consider, whatever you change over there is not being applyed when running the tests

mech commented Sep 2, 2013

Also interested to know if it support Rails 4 or not.

alxndr commented Oct 19, 2014

I've got some Jasmine 2 tests running in Rails 4 via requirejs-rails v0.9.5, taking cues from this post by Cina at Spiceworks:

  • monkeypatching Jasmine via jasmine_helper.rb (instead of jasmine_config.rb)
    • test runner file is specified by Jasmine.runner_template
  • customize jasmine's boot JS to pull the list of specs to run from content in the runner file, and pass it to require as dependencies for starting the test run (instead of starting the run on window.onload)
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment